# Enum Class VulkanPolygonMode

java.lang.Object
java.lang.Enum<VulkanPolygonMode>
com.io7m.jcoronado.api.VulkanPolygonMode

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanPolygonMode>`, `Constable`

public enum VulkanPolygonMode extends Enum<VulkanPolygonMode> implements VulkanEnumIntegerType

See Also:
  - "VkPolygonMode"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_POLYGON_MODE_FILL`
  Specifies that polygon vertices are drawn as points.
  `VK_POLYGON_MODE_FILL_RECTANGLE_NV`
  Specifies that polygons are rendered using polygon rasterization rules, modified to consider a sample within the primitive if the sample location is inside the axis-aligned bounding box of the triangle after projection.
  `VK_POLYGON_MODE_LINE`
  Specifies that polygon edges are drawn as line segments.
  `VK_POLYGON_MODE_POINT`
  Specifies that polygons are rendered using the standard polygon rasterization rules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanPolygonMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanPolygonMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_POLYGON_MODE_FILL

    public static final VulkanPolygonMode VK_POLYGON_MODE_FILL
    Specifies that polygon vertices are drawn as points.

  - ### VK_POLYGON_MODE_LINE

    public static final VulkanPolygonMode VK_POLYGON_MODE_LINE
    Specifies that polygon edges are drawn as line segments.

  - ### VK_POLYGON_MODE_POINT

    public static final VulkanPolygonMode VK_POLYGON_MODE_POINT
    Specifies that polygons are rendered using the standard polygon rasterization rules.

  - ### VK_POLYGON_MODE_FILL_RECTANGLE_NV

    public static final VulkanPolygonMode VK_POLYGON_MODE_FILL_RECTANGLE_NV
    Specifies that polygons are rendered using polygon rasterization rules, modified to consider a sample within the primitive if the sample location is inside the axis-aligned bounding box of the triangle after projection.

- ## Method Details

  - ### values

    public static VulkanPolygonMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanPolygonMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant